View Issue Details

IDProjectCategoryView StatusLast Update
0000380FakturamaAllgemein (General)public2018-08-08 23:56
ReporterBorneBjoern Assigned Torheydenr  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.6.5 
Target Version2.0.3Fixed in Version2.0.3 
Summary0000380: Anpassung des PAYMENT.TEXT
Description

Da ich verschiedene Zahlungsarten (z. Bsp. mit und ohne Skonto) definiert habe, wuerde ich gerne auch den Platzhalter PAYMENT.TEXT in meinen Rechnungsdokumenten verwenden, ohne fuer jede Zahlungsart eine separate Vorlage zu benoetigen.

Dafuer braeuchte ich folgende Platzhalter:

ITEMS.DISCOUNT.DISCOUNTPERCENT      => Angabe des Skontos in %
ITEMS.DISCOUNT.VALUE                => Angabe des skontierten Rechnungsbetrages
ITEMS.DISCOUNT.TARAVALUE            => enthaltene USt
DOCUMENTNAME                        => als Verwendungszweck

Fuer meine Zahlart "Skonto" sollte der Text naemlich so aussehen:

Um fuer diese Rechnung XXXX% Skonto in Anspruch zu nehmen, ueberweisen Sie bitte bis zum YY.YY.YYYY NNNN,NN Euro (dieser Betrag enthalet MMM,MM Euro USt) oder bis zum TT.TT.TTTT den kompletten Rechnungsbetrag auf das folgende Konto:
Verwendungszweck: RE-KKKKKKKK
Bankdaten: .....

Bei Vorkasse und ohne Skonto wird da natuerlich ein anderer Text in dem Paymenttext stehen ;)
Auszerdem waere es echt weniger verwirrend, wenn die Bankdaten die gleichen Variablennamen truegen, wie im restlichen Programm.
Besteht die Moeglichkeit folgende Aenderungen einzubauen:

 BANK.ACCOUNT.HOLDER             => YOURCOMPANY.OWNER
 BANK.ACCOUNT                    => YOURCOMPANY.BANKACCOUNTNR
 BANK.ACCOUNT.IBAN               => YOURCOMPANY.IBAN
 BANK.ACCOUNT.CODE               => YOURCOMPANY.BANKCODE
 BANK.ACCOUNT.BIC                => YOURCOMPANY.BIC

Ach ja und noch, wenn ich schon mal dabei bin, einen kleinen weiteren Wunsch haette ich noch:
Ich finde es echt klasse, dass die einzelnen Platzhalter, die verwendet werden koennen, aufgelistet sind. Aber angenehmer waere es, wenn diese mit der Maus markiert und anschlieszend kopiert werden koennten, damit diese dann besser und schneller in den eigenen Text integriert werden koennen.
Vielen Dank im Voraus fuer Euer Feedback / eure Anpassungen.

Additional Information

siehe auch https://forum.fakturama.info/read.php?1,8015,8015#msg-8015

TagsNo tags attached.

Activities

rheydenr

2018-08-08 23:56

administrator   ~0000798

wurde angepaßt. Im Zahlungsarten-Editor kann man die Platzhalter jetzt über ein Dropdown-Menü auswählen.

Issue History

Date Modified Username Field Change
2014-10-02 13:31 BorneBjoern New Issue
2017-12-30 22:50 rheydenr Target Version Pipeline => 2.0.3
2017-12-30 23:51 rheydenr Status new => assigned
2017-12-30 23:51 rheydenr Assigned To => rheydenr
2018-02-05 21:57 rheydenr Additional Information Updated View Revisions
2018-06-29 12:41 rheydenr Description Updated View Revisions
2018-06-29 12:42 rheydenr Description Updated View Revisions
2018-06-29 12:44 rheydenr Description Updated View Revisions
2018-06-29 12:45 rheydenr Description Updated View Revisions
2018-06-29 12:45 rheydenr Description Updated View Revisions
2018-08-08 23:56 rheydenr Status assigned => resolved
2018-08-08 23:56 rheydenr Resolution open => fixed
2018-08-08 23:56 rheydenr Fixed in Version => 2.0.3
2018-08-08 23:56 rheydenr Note Added: 0000798